
def zip_longest(*args, fillvalue=None):
    """
    Returns an iterator that aggregates elements from each of the iterables.
    If the iterables are of uneven length, missing values are filled-in with
    fillvalue. Default fillvalue is None.
    """
    # Using itertools.zip_longest from the standard library
    from itertools import zip_longest

    def iterables():
        for iterable in args:
            for element in iterable:
                yield element

    return zip_longest(*iterables(), fillvalue=fillvalue)

# JSON representation of the code
